Bug 14071 - ppp-watch ignores RETRYTIMEOUT in ifcfg* if we never connected
Summary: ppp-watch ignores RETRYTIMEOUT in ifcfg* if we never connected
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-16 17:15 UTC by Alex Kanavin
Modified: 2014-03-17 02:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-27 15:39:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for ppp-watch.c (4.53 KB, patch)
2000-08-27 14:16 UTC, Alex Kanavin
no flags Details | Diff

Description Alex Kanavin 2000-07-16 17:15:30 UTC
ppp-watch only waits the number of seconds specified in RETRYTIMEOUT
if we had a successfull connection before. If we never connected
(for example the line is busy), ppp-watch redials immediately.
I'm using chat (not wvdial). Here are ifcfg and chat files (phone number and password replaced with *).

PERSIST=yes
DEFROUTE=yes
ONBOOT=no
INITSTRING=ATZ
MODEMPORT=/dev/modem
LINESPEED=115200
ESCAPECHARS=no
DEFABORT=yes
HARDFLOWCTL=yes
DEVICE=ppp2
PPPOPTIONS=
DEBUG=no
PAPNAME=
REMIP=
IPADDR=
BOOTPROTO=none
MTU=
MRU=
DISCONNECTTIMEOUT=30
RETRYTIMEOUT=15
USERCTL=yes

'ABORT' 'BUSY'
'ABORT' 'ERROR'
'ABORT' 'NO CARRIER'
'ABORT' 'NO DIALTONE'
'ABORT' 'Invalid Login'
'ABORT' 'Login incorrect'
'' 'ATZ'
'OK' 'ATDP*'
'TIMEOUT' '120'
'CONNECT' ''
'ogin:' 'ak'
'ord:' '*'
'TIMEOUT' '5'
'~--' ''

Comment 1 Alex Kanavin 2000-08-27 14:16:15 UTC
Created attachment 3038 [details]
Patch for ppp-watch.c

Comment 2 Alex Kanavin 2000-08-27 15:39:55 UTC
Forgot to tell: this patch is for initscripts-5.44-1 from RawHide.

Comment 3 Bill Nottingham 2001-01-29 23:51:36 UTC
Patch will be in initscripts-5.60-1; thanks!

Comment 4 David Lawrence 2008-01-25 19:47:24 UTC
Comment on attachment 3038 [details]
Patch for ppp-watch.c

Comment moved here from attachment description:

I believe this fixes this bug and also fixes a couple of other problems:1)
DISCONNECTTIMEOUT now actually works  2) ppp-watch does not dial if signal
arrived while it was sleeping between dialing attempts 4) It processes such
signals immediately 5) Longer delay and additional checks in idown-ppp between
TERMing pppd and KILLing it (via ppp-watch)


Note You need to log in before you can comment on or make changes to this bug.